<?php

namespace Litecms\Demo\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class DemoRestaurantTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_demo_demo_restaurants')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.demo.demo_restaurant.view',
                'name'      => 'View DemoRestaurant',
            ],
            [
                'slug'      => 'litecms.demo.demo_restaurant.create',
                'name'      => 'Create DemoRestaurant',
            ],
            [
                'slug'      => 'litecms.demo.demo_restaurant.edit',
                'name'      => 'Update DemoRestaurant',
            ],
            [
                'slug'      => 'litecms.demo.demo_restaurant.delete',
                'name'      => 'Delete DemoRestaurant',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/demo/demo_restaurant',
                'name'        => 'DemoRestaurant',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/demo/demo_restaurant',
                'name'        => 'DemoRestaurant',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'demo_restaurant',
                'name'        => 'DemoRestaurant',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Demo',
                'module'    => 'DemoRestaurant',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.demo.demo_restaurant.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
